Need to proxy calls to guestids and content_overrides directly to candlepin
Status: Closed   

Priority: Normal   

Assignee: Michael Stead   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Ensure that the appropriate API routes are proxied through to candlepin to support:

- content overrides (Subscription Manager)

- guest id support (as well as appending additional data when guests are reported -- such as Hypervisor Type).

These routes include:

Content Overrides

- GET /api/content_overrides

- GET /api/consumers/:id/content_overrides

- PUT /api/consumers/:id/content_overrides

- DELETE /api/consumers/:id/content_overrides

Guest ID Support

- GET /api/guestids (fake root route)

- GET /api/consumers/:id/guestids

- GET /api/consumers/:id/guestids/:guest_id

- PUT /api/consumers/:id/guestids

- PUT /api/consumers/:id/guestids/:guest_id

- DELETE /api/consumers/:id/guestids/:guest_id

Associated revisions

Revision 29f27a11 - 05/08/2014 01:09 PM - Michael Stead

Fixes #4878: Proxy requests to guestid and content_overrides to candlepin

- Add support for proxing PUT requests to candlepin

- Allow proxying DELETE request with body to candlepin

- Proxy calls to /api/consumer/:id/guestids/* directly to candlepin   * Add fake root path for guestids allowing client tooling to check support   * Proxy

GET /consumers/:id/guestids to candlepin   * Proxy GET /consumers/:id/guestids/:guest_id to candlepin   * Proxy PUT /consumers/:id/guestids to

candlepin   * Proxy PUT /consumers/:id/guestids/:guest_id to candlepin   * Proxy DELETE /consumers/:id/guestids/:guest_id to candlepin

- Proxy requests to candlepin's content_overrides   * Added fake root path that is checked by rhsm (unlocks adding extra

guest data support in python-rhsm)   * GET /api/consumers/:id/content_overrides   * PUT /api/consumers/:id/content_overrides   * DELETE

/api/consumers/:id/content_overrides

History

#1 - 03/26/2014 10:46 PM - Mike McCune

- Triaged changed from No to Yes

#2 - 05/08/2014 03:52 PM - Michael Stead

- Status changed from New to Closed

- % Done changed from 0 to 100
Applied in changeset katello|commit:29f27a117d1e8ea4414b3521effc13d7271eaf4c.

#3 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#4 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
